$AdfDhtmlPanelAccordionPeer$$.$_SUB_ID_MAP$ = {top_overflow_indicator:"overflowTop", bottom_overflow_indicator:"overflowBottom"};
$AdfDhtmlPanelAccordionPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlPanelAccordionPeer$$$$$GetSubIdDomElement$$($subElementId$$41$$) {
  $AdfAssert$$.$assertNonEmptyString$($subElementId$$41$$);
  var $component$$2441$$ = this.$getComponent$(), $elmt$$1$$ = $AdfDhtmlShowDetailItemPeer$$.$getSubIdDomElementForShowDetailItem$($subElementId$$41$$);
  return $elmt$$1$$ ? $elmt$$1$$ : $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($subElementId$$41$$, $AdfDhtmlPanelAccordionPeer$$.$_SUB_ID_MAP$, $component$$2441$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelAccordionPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlPanelAccordionPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlPanelAccordionPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlPanelAccordionPeer$$$$$GetBestMatchSubId$$($domElement$$664$$) {
  var $subid$$13$$ = $AdfDhtmlShowDetailItemPeer$$.$getBestMatchSubIdForShowDetailItem$($domElement$$664$$);
  return $subid$$13$$ ? $subid$$13$$ : $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$664$$, this, $AdfDhtmlPanelAccordionPeer$$.$_SUB_ID_MAP$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelAccordionPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlPanelAccordionPeer$$.prototype.$GetBestMatchSubId$});
